VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| SubpassEndInfoKHR ()
| SubpassEndInfoKHR (VkSubpassEndInfoKHR const &rhs)
SubpassEndInfoKHR & | operator= (VkSubpassEndInfoKHR const &rhs)
SubpassEndInfoKHR & | setPNext (const void *pNext_)
| operator VkSubpassEndInfoKHR const & () const
| operator VkSubpassEndInfoKHR & ()
bool | operator== (SubpassEndInfoKHR const &rhs) const
bool | operator!= (SubpassEndInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr

## Private Attributes

StructureType | sType = StructureType::eSubpassEndInfoKHR

## Detailed Description

Definition at line 18205 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SubpassEndInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::SubpassEndInfoKHR | ( |  | ) |

inline

Definition at line 18207 of file vulkan.hpp.

{
}

## SubpassEndInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::SubpassEndInfoKHR | ( | VkSubpassEndInfoKHR const & | rhs | ) |

inline

Definition at line 18211 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SubpassEndInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkSubpassEndInfoKHR &()

VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::operator VkSubpassEndInfoKHR & | ( |  | ) |

inline

Definition at line 18232 of file vulkan.hpp.

{
return *reinterpret_cast<VkSubpassEndInfoKHR*>(this);
}

## operator VkSubpassEndInfoKHR const &()

VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::operator VkSubpassEndInfoKHR const & | ( |  | ) | const

inline

Definition at line 18227 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSubpassEndInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::operator!= | ( | SubpassEndInfoKHR const & | rhs | ) | const

inline

Definition at line 18243 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

SubpassEndInfoKHR& VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::operator= | ( | VkSubpassEndInfoKHR const & | rhs | ) |

inline

Definition at line 18216 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SubpassEndInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::operator== | ( | SubpassEndInfoKHR const & | rhs | ) | const

inline

Definition at line 18237 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext );
}

References pNext, and sType.

Referenced by operator!=().

## setPNext()

SubpassEndInfoKHR& VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 18221 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## pNext

const void* VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::pNext = nullptr

Definition at line 18252 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::sType = StructureType::eSubpassEndInfoKHR

private

Definition at line 18249 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::SubpassEndInfoKHR
SubpassEndInfoKHR()
Definition: vulkan.hpp:18207
VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:18252
VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:18249
VULKAN_HPP_NAMESPACE::SubpassEndInfoKHR::operator==
bool operator==(SubpassEndInfoKHR const &rhs) const
Definition: vulkan.hpp:18237
VkSubpassEndInfoKHR
Definition: vulkan_core.h:5621